/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  CDA
*
* @FILE     apachecda_upext.h
*
* @ABSTRACT
* Apache cda Handler User & Provider EXTernal definitions
*
* This file contains:
* The external functions and Apache handlers definitions
*
* @INCLUDE
*

#ifndef _APACHE_CDA_UPEXT_H_
#define _APACHE_CDA_UPEXT_H_

static int cdaHandler(request_rec *);

static const handler_rec handlers[] =
{
    {"cda-handler",      cdaHandler},
    {NULL,NULL}
};

module MODULE_VAR_EXPORT cdaModule = {
    STANDARD_MODULE_STUFF,
    NULL,                              /* initializer */
    NULL,                              /* dir config creator */
    NULL,                              /* dir config merger */
    NULL,                              /* server config */
    NULL,                              /* merge server config */
    NULL,                              /* command table */
    handlers,                          /* handlers */
    NULL,                              /* filename translation */
    NULL,                              /* check_user_id */
    NULL,                              /* check auth */
    NULL,                              /* check access */
    NULL,                              /* type_checker */
    NULL,                              /* fixups */
    NULL,                              /* logger */
    NULL,                              /* header parser */
    NULL,                              /* child_init */
    NULL,                              /* child_exit */
    NULL                               /* post read-request */
#ifdef EAPI
    ,NULL
    ,NULL
    ,NULL
    ,NULL
    ,NULL
#endif
};


#endif /* _APACHE_CDA_UPEXT_H_ */
